Subject: RE: WG last call: draft-ietf-tewg-diff-te-reqts-04.txt

From: "Lai, Wai S (Waisum), ALASO" <[email-masked]>
Date: Sun, 2 Jun 2002 20:19:06 -0400

Jim,
   We are not saying that there shouldn't be a default model.  It is fully agreed that the requirements document is not the place to resolve what the default model should be.  Our intent is simply to point out the need to accommodate the difference of opinion on what the default should be.  All our proposed text below says is to ask the protocol document 'to base the default decision on available hard information, such as [my ref, forthcoming soon] analysis (and any other references anyone wants to put in)'.
   I hope that this is a reasonable requirement.
Thanks, Wai Sum.

-----Original Message-----
From: Jim Boyle [mailto:[email-masked]]
Sent: Friday, 31 May 2002 9:45 AM
To: Lai, Wai S (Waisum), ALASO
Cc: [email-masked]
Subject: RE: WG last call: draft-ietf-tewg-diff-te-reqts-04.txt

At a higher level, in essence you are stating that we should change our
tact from:

	o) we agree that there needs to be at least one common
	   bandwidth contraint model across implementations.  Technical
	   proposals need one specified andrequired for implementation

to adding:

	o) a few of us have looked into something called maximum
	   allocation and think it's better than russian dolls.

I don't think the requirements document is the place to resolve what the
default model should be.  Are you saying that there shouldn't be a default
model - or just that you have a difference of opinion on what the default
should be?

If the former - then please suggest revised text for the paragraph you
quoted.  If it is the latter - then I think that is another thread for the
list against the protocol draft.

Jim

On Thu, 30 May 2002, Lai, Wai S (Waisum), ALASO wrote:

> As stated in page 9 of the draft:
>    "At the time of writing this document, it is not clear whether a
>    single model of Bandwidth Constraints is sufficient, which one it
>    should be and how flexible this model really needs to be and what
>    are the implications on the DS-TE technical solution and its
>    implementations. The DS-TE technical solution must specify one
>    default bandwidth constraint model which must be supported by any
>    DS-TE implementation."
>
> We have now completed a study to investigate the performance of the
> different Bandwidth Constraints models.  We will document in details
> our findings in a forthcoming draft.
>
> We propose that the following highlights be included in the DS-TE
> Requirements draft to provide guidance to protocol development.
> One place to put the text is perhaps at the end of Section 3.3:
>
> "Work is in progress [reference of the draft to be provided] to
> investigate the performance of the different Bandwidth Constraints
> models.  Preliminary results indicate that in comparison to the
> maximum allocation model above (first example), the Russian Doll
> model:
> a) permits a greater degree of bandwidth sharing among different
> traffic classes and hence gives better performance under normal
> conditions than other Bandwidth Constraints models,
> b) under overload, such sharing leads to a tighter coupling
> between various classes and is not able to provide robust service
> protection/isolation, and
> c) is not well-suited to a CAC/blocking operational mode when
> preemption is disabled.
> Such analysis should be used to provide guidance to DS-TE protocol
> development.  Furthermore, a model more like the maximum allocation
> model may be more appropriate as a default model because of the
> observed behavior."
>
> Thanks, Wai Sum.
>
> -----Original Message-----
> From: Jim Boyle [mailto:[email-masked]]
> Sent: Sunday, May 19, 2002 10:04 PM
> To: [email-masked]
> Subject: WG last call: draft-ietf-tewg-diff-te-reqts-04.txt
>
>
>
> This message begins a WG last call for the following:
>
> 	draft-ietf-tewg-diff-te-reqts-04.txt
>
> This WG document addresses a WG milestone.  It is proposed as an
> Informational RFC.  WG last call ends May 31, 2002.
>
>
>
>

---

From: Jim Boyle <[email-masked]>
Date: Sun, 2 Jun 2002 21:50:07 -0400 (EDT)

The discussion on what should be the default bandwidth constraint
model should be done in the context of the solution draft.  The paragraph
you quote makes it clear that the requirements draft leaves that
discussion squarely with the technical solution.

I don't see a need for any text revision of the requirements draft before
sending it on to the IESG.

Anyone else have any comment?

As this was raised in the 11th hour, I'll extend the last call through
June 5th.

Jim

---

From: Francois Le Faucheur <[email-masked]>
Date: Mon, 03 Jun 2002 17:52:12 +0200

>Anyone else have any comment?

I agree.
We are still far from converging on what the respective properties of the 
various models are, and thus which one(s) we ought to pick. We seem to all 
agree that we should leave the selection of the models outside of the Reqts 
draft. We all seem to agree we need at least one default model. I feel the 
current text captures that accurately.

Francois

> >    We are not saying that there shouldn't be a default model.  It is 
> fully agreed that the requirements document is not the place to resolve 
> what the default model should be.  Our intent is simply to point out the 
> need to accommodate the difference of opinion on what the default should 
> be.  All our proposed text below says is to ask the protocol document 'to 
> base the default decision on available hard information, such as [my ref, 
> forthcoming soon] analysis (and any other references anyone wants to put in)'.